--- title: "Gets paginated list of current user audit logs" slug: "gets-paginated-list-of-current-user-audit-logs" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/gets-paginated-list-of-current-user-audit-logs" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Gets paginated list of current user audit logs Get/api/audit/v1/mylogs SecurityHTTPType bearer Query parameterstimezonestring Apply timezone to audit logs Default"UTC"ExampleAsia/Kolkata actionarray of string Filter audit logs by action. ExampleUSER_CREATE targetTypearray of string Filter audit logs by type of target. ExampleUSER targetstring Filter audit logs by list of target. It is an objectGUID of the organization,user,device,connection,group,authdomain targetOrgIdstring Filter audit logs by target org id. sizeinteger The number of records to return per page, The default size is 25 Default25 pageinteger The page number. The page number start from 1 Default1 orgIdstring Filter audit logs by actor org id. sortarray of string Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['action', 'actor', targetType', 'whenCreated'] DefaultwhenCreated:DESCExample[ "action:asc" ] fromstring The earliest date to search in audit logs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz) Example2021-11-18T10:50:35+0000 tostring The latest date to search in audit logs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz) Example2021-11-18T10:50:35+0000 siteIdstring The ID of a particular site to filter Responses200 OK Expand Allobject authorizationboolean dataobject (AuditLogResponse) actionstring actorobject typestring userobject mailstring namestring objectGUIDstring userNamestring actorOrganizationobject namestring objectGUIDstring clientobject ipAddressstring userAgentstring descriptionstring objectGUIDstring targetobject targetstring typestring targetOrganizationobject idstring namestring whenCreatedstring error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 500 Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean